Skip to main content
PUT
/
agents
/
{agent_id}
/
routing
/
rules
/
{rule_id}
Update routing rule
curl --request PUT \
  --url https://api.trymaitai.ai/api/v1/agents/{agent_id}/routing/rules/{rule_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Maitai-Api-Key: <api-key>' \
  --data '
{
  "label": "Route billing (updated)",
  "enabled": false
}
'
{
  "data": {
    "id": 1,
    "agent_id": 101,
    "label": "Route billing (updated)",
    "enabled": false
  }
}

Authorizations

X-Maitai-Api-Key
string
header
required

Your Maitai API key from the Portal.

Path Parameters

agent_id
integer
required
rule_id
integer
required

Body

application/json
label
string
condition_expression
string
route
object
conditions
array
enabled
boolean

Response

200 - application/json

Update routing rule.

data
any